Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621177 - [abrt] crash in binutils-2.20.51.0.2-20.fc13: elf_find_function: Process /usr/bin/addr2line was killed by signal 11 (SIGSEGV)
[abrt] crash in binutils-2.20.51.0.2-20.fc13: elf_find_function: Process /usr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
abrt_hash:f08703ff4c1b8ee44ca7671c0a6...
:
: 637028 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 09:14 EDT by Edward Rudd
Modified: 2011-06-01 09:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 09:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.00 KB, text/plain)
2010-08-04 09:14 EDT, Edward Rudd
no flags Details

  None (edit)
Description Edward Rudd 2010-08-04 09:14:43 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: addr2line -e RendererFeatTest.bin.debug 0x81AB24A
component: binutils
crash_function: elf_find_function
executable: /usr/bin/addr2line
global_uuid: f08703ff4c1b8ee44ca7671c0a6caf7225a1eb3a
kernel: 2.6.33.6-147.fc13.i686.PAE
package: binutils-2.20.51.0.2-20.fc13
rating: 4
reason: Process /usr/bin/addr2line was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: addr2line -f MyExe.debug 0x234234

comment
-----
build an exe with debug info stripped is using "eu-strip -g -f MyExe.debug MyExe".

Then ran addr2line on the debug info instead of the main exe.
Comment 1 Edward Rudd 2010-08-04 09:14:45 EDT
Created attachment 436532 [details]
File: backtrace
Comment 2 Karel Klíč 2010-11-09 08:33:48 EST
*** Bug 637028 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2011-06-01 08:08:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.